Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-14166

Semantics of the --osx-version-min flag should be improved

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor - P4
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.0.1, 3.1.0
    • Component/s: Build
    • Environment:
      OS X
    • Backwards Compatibility:
      Fully Compatible
    • Backport Completed:
    • Sprint:
      BUILD 00 2/20/15

      Description

      The flag currently has a fixed list of acceptable options. This list becomes dated when new OS X versions are released.

      In addition, the flag defaults to what is now a very old version (10.6). We should consider making the default match the current platform, and only use an older target platform if explicitly requested.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                3 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: